/*     */ package com.sun.xml.bind.v2.model.impl;
/*     */ 
/*     */ import com.sun.xml.bind.v2.model.core.Adapter;
/*     */ import com.sun.xml.bind.v2.model.runtime.RuntimeClassInfo;
/*     */ import com.sun.xml.bind.v2.model.runtime.RuntimeElementInfo;
/*     */ import com.sun.xml.bind.v2.model.runtime.RuntimeElementPropertyInfo;
/*     */ import com.sun.xml.bind.v2.model.runtime.RuntimeNonElement;
/*     */ import com.sun.xml.bind.v2.model.runtime.RuntimePropertyInfo;
/*     */ import com.sun.xml.bind.v2.model.runtime.RuntimeTypeRef;
/*     */ import com.sun.xml.bind.v2.runtime.IllegalAnnotationException;
/*     */ import com.sun.xml.bind.v2.runtime.Transducer;
/*     */ import com.sun.xml.bind.v2.runtime.reflect.Accessor;
/*     */ import java.lang.reflect.Field;
/*     */ import java.lang.reflect.Method;
/*     */ import java.lang.reflect.Type;
/*     */ import java.util.Collection;
/*     */ import java.util.Collections;
/*     */ import java.util.List;
/*     */ import javax.xml.bind.JAXBElement;
/*     */ import javax.xml.bind.annotation.adapters.XmlAdapter;
/*     */ 
/*     */ final class RuntimeElementInfoImpl
/*     */   extends ElementInfoImpl<Type, Class, Field, Method>
/*     */   implements RuntimeElementInfo
/*     */ {
/*     */   private final Class<? extends XmlAdapter> adapterType;
/*     */   
/*     */   public RuntimeElementInfoImpl(RuntimeModelBuilder modelBuilder, RegistryInfoImpl registry, Method method)
/*     */     throws IllegalAnnotationException
/*     */   {
/*  31 */     super(modelBuilder, registry, method);
/*     */     
/*  33 */     Adapter<Type, Class> a = getProperty().getAdapter();
/*     */     
/*  35 */     if (a != null) {
/*  36 */       this.adapterType = ((Class)a.adapterType);
/*     */     } else {
/*  38 */       this.adapterType = null;
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*  43 */   protected ElementInfoImpl<Type, Class, Field, Method>.PropertyImpl createPropertyImpl() { return new RuntimePropertyImpl(); }
/*     */   
/*     */   class RuntimePropertyImpl extends ElementInfoImpl.PropertyImpl implements RuntimeElementPropertyInfo, RuntimeTypeRef {
/*  46 */     RuntimePropertyImpl() { super(); }
/*     */     
/*  48 */     public Accessor getAccessor() { if (RuntimeElementInfoImpl.this.adapterType == null) {
/*  49 */         return Accessor.JAXB_ELEMENT_VALUE;
/*     */       }
/*  51 */       return Accessor.JAXB_ELEMENT_VALUE.adapt((Class)getAdapter().defaultType, RuntimeElementInfoImpl.this.adapterType);
/*     */     }
/*     */     
/*     */     public Type getRawType()
/*     */     {
/*  56 */       return Collection.class;
/*     */     }
/*     */     
/*     */     public Type getIndividualType() {
/*  60 */       return (Type)RuntimeElementInfoImpl.this.getContentType().getType();
/*     */     }
/*     */     
/*     */     public boolean elementOnlyContent()
/*     */     {
/*  65 */       return false;
/*     */     }
/*     */     
/*     */     public List<? extends RuntimeTypeRef> getTypes() {
/*  69 */       return Collections.singletonList(this);
/*     */     }
/*     */     
/*     */     public List<? extends RuntimeNonElement> ref() {
/*  73 */       return super.ref();
/*     */     }
/*     */     
/*     */     public RuntimeNonElement getTarget() {
/*  77 */       return (RuntimeNonElement)super.getTarget();
/*     */     }
/*     */     
/*     */     public RuntimePropertyInfo getSource() {
/*  81 */       return this;
/*     */     }
/*     */     
/*     */     public Transducer getTransducer() {
/*  85 */       return RuntimeModelBuilder.createTransducer(this);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public RuntimeElementPropertyInfo getProperty()
/*     */   {
/*  95 */     return (RuntimeElementPropertyInfo)super.getProperty();
/*     */   }
/*     */   
/*     */   public Class<? extends JAXBElement> getType() {
/*  99 */     return JAXBElement.class;
/*     */   }
/*     */   
/*     */   public RuntimeClassInfo getScope() {
/* 103 */     return (RuntimeClassInfo)super.getScope();
/*     */   }
/*     */   
/*     */   public RuntimeNonElement getContentType() {
/* 107 */     return (RuntimeNonElement)super.getContentType();
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\target\myautosupport\WEB-INF\lib\jaxb-impl-2.0.3.jar!\com\sun\xml\bind\v2\model\impl\RuntimeElementInfoImpl.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */