/*     */ package com.jaspersoft.jasperserver.jaxrs.client.dto.jobs;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.dto.jobs.jaxb.adapters.AddressesXmlAdapter;
/*     */ import java.util.List;
/*     */ import javax.xml.bind.annotation.XmlElement;
/*     */ import javax.xml.bind.annotation.XmlRootElement;
/*     */ import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @XmlRootElement(name="reportJobAlert")
/*     */ public class JobAlert
/*     */ {
/*     */   private Long id;
/*     */   private Integer version;
/*     */   private JobAlertRecipient recipient;
/*     */   private JobAlertJobState jobState;
/*     */   private String messageText;
/*     */   private String messageTextWhenJobFails;
/*     */   private String subject;
/*     */   private Boolean includingStackTrace;
/*     */   private Boolean includingReportJobInfo;
/*     */   private List<String> toAddresses;
/*     */   
/*     */   @XmlElement(name="toAddresses")
/*     */   public List<String> getToAddresses()
/*     */   {
/*  49 */     return this.toAddresses;
/*     */   }
/*     */   
/*     */   @XmlJavaTypeAdapter(AddressesXmlAdapter.class)
/*     */   public void setToAddresses(List<String> toAddresses) {
/*  54 */     this.toAddresses = toAddresses;
/*     */   }
/*     */   
/*     */   public Long getId() {
/*  58 */     return this.id;
/*     */   }
/*     */   
/*     */   public void setId(Long id) {
/*  62 */     this.id = id;
/*     */   }
/*     */   
/*     */   public Integer getVersion() {
/*  66 */     return this.version;
/*     */   }
/*     */   
/*     */   public void setVersion(Integer version) {
/*  70 */     this.version = version;
/*     */   }
/*     */   
/*     */   public JobAlertRecipient getRecipient() {
/*  74 */     return this.recipient;
/*     */   }
/*     */   
/*     */   public void setRecipient(JobAlertRecipient recipient) {
/*  78 */     this.recipient = recipient;
/*     */   }
/*     */   
/*     */   public JobAlertJobState getJobState() {
/*  82 */     return this.jobState;
/*     */   }
/*     */   
/*     */   public void setJobState(JobAlertJobState jobState) {
/*  86 */     this.jobState = jobState;
/*     */   }
/*     */   
/*     */   public String getMessageText() {
/*  90 */     return this.messageText;
/*     */   }
/*     */   
/*     */   public void setMessageText(String messageText) {
/*  94 */     this.messageText = messageText;
/*     */   }
/*     */   
/*     */   public String getMessageTextWhenJobFails() {
/*  98 */     return this.messageTextWhenJobFails;
/*     */   }
/*     */   
/*     */   public void setMessageTextWhenJobFails(String messageTextWhenJobFails) {
/* 102 */     this.messageTextWhenJobFails = messageTextWhenJobFails;
/*     */   }
/*     */   
/*     */   public String getSubject() {
/* 106 */     return this.subject;
/*     */   }
/*     */   
/*     */   public void setSubject(String subject) {
/* 110 */     this.subject = subject;
/*     */   }
/*     */   
/*     */   public Boolean isIncludingStackTrace() {
/* 114 */     return this.includingStackTrace;
/*     */   }
/*     */   
/*     */   public void setIncludingStackTrace(Boolean includingStackTrace) {
/* 118 */     this.includingStackTrace = includingStackTrace;
/*     */   }
/*     */   
/*     */   public Boolean isIncludingReportJobInfo() {
/* 122 */     return this.includingReportJobInfo;
/*     */   }
/*     */   
/*     */   public void setIncludingReportJobInfo(Boolean includingReportJobInfo) {
/* 126 */     this.includingReportJobInfo = includingReportJobInfo;
/*     */   }
/*     */   
/*     */   public boolean equals(Object o)
/*     */   {
/* 131 */     if (this == o) return true;
/* 132 */     if ((o == null) || (getClass() != o.getClass())) { return false;
/*     */     }
/* 134 */     JobAlert jobAlert = (JobAlert)o;
/*     */     
/* 136 */     if (this.id != null ? !this.id.equals(jobAlert.id) : jobAlert.id != null) return false;
/* 137 */     if (this.includingReportJobInfo != null ? !this.includingReportJobInfo.equals(jobAlert.includingReportJobInfo) : jobAlert.includingReportJobInfo != null)
/* 138 */       return false;
/* 139 */     if (this.includingStackTrace != null ? !this.includingStackTrace.equals(jobAlert.includingStackTrace) : jobAlert.includingStackTrace != null)
/* 140 */       return false;
/* 141 */     if (this.jobState != null ? !this.jobState.equals(jobAlert.jobState) : jobAlert.jobState != null) return false;
/* 142 */     if (this.messageText != null ? !this.messageText.equals(jobAlert.messageText) : jobAlert.messageText != null)
/* 143 */       return false;
/* 144 */     if (this.messageTextWhenJobFails != null ? !this.messageTextWhenJobFails.equals(jobAlert.messageTextWhenJobFails) : jobAlert.messageTextWhenJobFails != null)
/* 145 */       return false;
/* 146 */     if (this.recipient != null ? !this.recipient.equals(jobAlert.recipient) : jobAlert.recipient != null) return false;
/* 147 */     if (this.subject != null ? !this.subject.equals(jobAlert.subject) : jobAlert.subject != null) return false;
/* 148 */     if (this.toAddresses != null ? !this.toAddresses.equals(jobAlert.toAddresses) : jobAlert.toAddresses != null)
/* 149 */       return false;
/* 150 */     if (this.version != null ? !this.version.equals(jobAlert.version) : jobAlert.version != null) { return false;
/*     */     }
/* 152 */     return true;
/*     */   }
/*     */   
/*     */   public int hashCode()
/*     */   {
/* 157 */     int result = this.id != null ? this.id.hashCode() : 0;
/* 158 */     result = 31 * result + (this.version != null ? this.version.hashCode() : 0);
/* 159 */     result = 31 * result + (this.recipient != null ? this.recipient.hashCode() : 0);
/* 160 */     result = 31 * result + (this.jobState != null ? this.jobState.hashCode() : 0);
/* 161 */     result = 31 * result + (this.messageText != null ? this.messageText.hashCode() : 0);
/* 162 */     result = 31 * result + (this.messageTextWhenJobFails != null ? this.messageTextWhenJobFails.hashCode() : 0);
/* 163 */     result = 31 * result + (this.subject != null ? this.subject.hashCode() : 0);
/* 164 */     result = 31 * result + (this.includingStackTrace != null ? this.includingStackTrace.hashCode() : 0);
/* 165 */     result = 31 * result + (this.includingReportJobInfo != null ? this.includingReportJobInfo.hashCode() : 0);
/* 166 */     result = 31 * result + (this.toAddresses != null ? this.toAddresses.hashCode() : 0);
/* 167 */     return result;
/*     */   }
/*     */   
/*     */   public String toString()
/*     */   {
/* 172 */     return "JobAlert{id=" + this.id + ", version=" + this.version + ", recipient='" + this.recipient + '\'' + ", jobState='" + this.jobState + '\'' + ", messageText='" + this.messageText + '\'' + ", messageTextWhenJobFails='" + this.messageTextWhenJobFails + '\'' + ", subject='" + this.subject + '\'' + ", includingStackTrace=" + this.includingStackTrace + ", includingReportJobInfo=" + this.includingReportJobInfo + ", toAddresses=" + this.toAddresses + '}';
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\dto\jobs\JobAlert.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */