/*     */ package com.sun.xml.bind.v2.model.impl;
/*     */ 
/*     */ import com.sun.istack.ByteArrayDataSource;
/*     */ import com.sun.xml.bind.DatatypeConverterImpl;
/*     */ import com.sun.xml.bind.WhiteSpaceProcessor;
/*     */ import com.sun.xml.bind.api.AccessorException;
/*     */ import com.sun.xml.bind.v2.TODO;
/*     */ import com.sun.xml.bind.v2.model.runtime.RuntimeBuiltinLeafInfo;
/*     */ import com.sun.xml.bind.v2.runtime.Name;
/*     */ import com.sun.xml.bind.v2.runtime.NamespaceContext2;
/*     */ import com.sun.xml.bind.v2.runtime.Transducer;
/*     */ import com.sun.xml.bind.v2.runtime.XMLSerializer;
/*     */ import com.sun.xml.bind.v2.runtime.output.Pcdata;
/*     */ import com.sun.xml.bind.v2.runtime.unmarshaller.Base64Data;
/*     */ import com.sun.xml.bind.v2.runtime.unmarshaller.UnmarshallingContext;
/*     */ import com.sun.xml.bind.v2.util.ByteArrayOutputStreamEx;
/*     */ import com.sun.xml.bind.v2.util.DataSourceSource;
/*     */ import java.awt.Component;
/*     */ import java.awt.Graphics;
/*     */ import java.awt.Image;
/*     */ import java.awt.MediaTracker;
/*     */ import java.awt.image.BufferedImage;
/*     */ import java.io.ByteArrayInputStream;
/*     */ import java.io.File;
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import java.io.OutputStreamWriter;
/*     */ import java.io.UnsupportedEncodingException;
/*     */ import java.lang.reflect.Type;
/*     */ import java.math.BigDecimal;
/*     */ import java.math.BigInteger;
/*     */ import java.net.MalformedURLException;
/*     */ import java.net.URI;
/*     */ import java.net.URISyntaxException;
/*     */ import java.net.URL;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Calendar;
/*     */ import java.util.Collections;
/*     */ import java.util.Date;
/*     */ import java.util.GregorianCalendar;
/*     */ import java.util.HashMap;
/*     */ import java.util.Iterator;
/*     */ import java.util.List;
/*     */ import java.util.Map;
/*     */ import java.util.UUID;
/*     */ import javax.activation.DataHandler;
/*     */ import javax.activation.DataSource;
/*     */ import javax.activation.MimeType;
/*     */ import javax.activation.MimeTypeParseException;
/*     */ import javax.imageio.ImageIO;
/*     */ import javax.imageio.ImageWriter;
/*     */ import javax.xml.bind.helpers.ValidationEventImpl;
/*     */ import javax.xml.datatype.DatatypeConfigurationException;
/*     */ import javax.xml.datatype.DatatypeConstants;
/*     */ import javax.xml.datatype.DatatypeFactory;
/*     */ import javax.xml.datatype.Duration;
/*     */ import javax.xml.datatype.XMLGregorianCalendar;
/*     */ import javax.xml.namespace.QName;
/*     */ import javax.xml.stream.XMLStreamException;
/*     */ import javax.xml.transform.Source;
/*     */ import javax.xml.transform.Transformer;
/*     */ import javax.xml.transform.TransformerException;
/*     */ import javax.xml.transform.stream.StreamResult;
/*     */ import org.xml.sax.SAXException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class RuntimeBuiltinLeafInfoImpl<T>
/*     */   extends BuiltinLeafInfoImpl<Type, Class>
/*     */   implements RuntimeBuiltinLeafInfo, Transducer<T>
/*     */ {
/*     */   private RuntimeBuiltinLeafInfoImpl(Class type, QName... typeNames)
/*     */   {
/*  78 */     super(type, typeNames);
/*  79 */     LEAVES.put(type, this);
/*     */   }
/*     */   
/*     */   public final Class getClazz() {
/*  83 */     return (Class)getType();
/*     */   }
/*     */   
/*     */   public final Transducer getTransducer()
/*     */   {
/*  88 */     return this;
/*     */   }
/*     */   
/*     */   public boolean useNamespace() {
/*  92 */     return false;
/*     */   }
/*     */   
/*     */   public final boolean isDefault() {
/*  96 */     return true;
/*     */   }
/*     */   
/*     */   public void declareNamespace(T o, XMLSerializer w) throws AccessorException
/*     */   {}
/*     */   
/*     */   public QName getTypeName(T instance) {
/* 103 */     return null;
/*     */   }
/*     */   
/*     */   private static abstract class StringImpl<T>
/*     */     extends RuntimeBuiltinLeafInfoImpl<T>
/*     */   {
/*     */     protected StringImpl(Class type, QName... typeNames)
/*     */     {
/* 111 */       super(typeNames, null);
/*     */     }
/*     */     
/*     */     public abstract String print(T paramT) throws AccessorException;
/*     */     
/*     */     public void writeText(XMLSerializer w, T o, String fieldName) throws IOException, SAXException, XMLStreamException, AccessorException {
/* 117 */       w.text(print(o), fieldName);
/*     */     }
/*     */     
/*     */     public void writeLeafElement(XMLSerializer w, Name tagName, T o, String fieldName) throws IOException, SAXException, XMLStreamException, AccessorException {
/* 121 */       w.leafElement(tagName, print(o), fieldName);
/*     */     }
/*     */   }
/*     */   
/*     */   private static abstract class PcdataImpl<T>
/*     */     extends RuntimeBuiltinLeafInfoImpl<T>
/*     */   {
/*     */     protected PcdataImpl(Class type, QName... typeNames)
/*     */     {
/* 130 */       super(typeNames, null);
/*     */     }
/*     */     
/*     */     public abstract Pcdata print(T paramT) throws AccessorException;
/*     */     
/*     */     public final void writeText(XMLSerializer w, T o, String fieldName) throws IOException, SAXException, XMLStreamException, AccessorException {
/* 136 */       w.text(print(o), fieldName);
/*     */     }
/*     */     
/*     */     public final void writeLeafElement(XMLSerializer w, Name tagName, T o, String fieldName) throws IOException, SAXException, XMLStreamException, AccessorException {
/* 140 */       w.leafElement(tagName, print(o), fieldName);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 148 */   public static final Map<Type, RuntimeBuiltinLeafInfoImpl<?>> LEAVES = new HashMap();
/*     */   
/* 150 */   public static final RuntimeBuiltinLeafInfoImpl<String> STRING = new StringImpl(String.class, new QName[] { createXS("string"), createXS("normalizedString"), createXS("token"), createXS("language"), createXS("Name"), createXS("NCName"), createXS("NMTOKEN"), createXS("ENTITY") })
/*     */   {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     public String parse(CharSequence text)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/* 161 */       return text.toString();
/*     */     }
/*     */     
/* 164 */     public String print(String s) { return s; }
/*     */     
/*     */     public final void writeText(XMLSerializer w, String o, String fieldName) throws IOException, SAXException, XMLStreamException
/*     */     {
/* 168 */       w.text(o, fieldName);
/*     */     }
/*     */     
/*     */     public final void writeLeafElement(XMLSerializer w, Name tagName, String o, String fieldName) throws IOException, SAXException, XMLStreamException {
/* 172 */       w.leafElement(tagName, o, fieldName);
/*     */     }
/*     */   };
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static final List<RuntimeBuiltinLeafInfoImpl<?>> builtinBeanInfos;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private static final DatatypeFactory datatypeFactory;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private static final Map<QName, String> xmlGregorianCalendarFormatString;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private static byte[] decodeBase64(CharSequence text)
/*     */   {
/* 773 */     if ((text instanceof Base64Data)) {
/* 774 */       Base64Data base64Data = (Base64Data)text;
/* 775 */       return base64Data.getExact();
/*     */     }
/* 777 */     return DatatypeConverterImpl._parseBase64Binary(text.toString());
/*     */   }
/*     */   
/*     */ 
/*     */   private static QName createXS(String typeName)
/*     */   {
/* 783 */     return new QName("http://www.w3.org/2001/XMLSchema", typeName);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private static DatatypeFactory init()
/*     */   {
/*     */     try
/*     */     {
/* 794 */       return DatatypeFactory.newInstance();
/*     */     } catch (DatatypeConfigurationException e) {
/* 796 */       throw new Error(Messages.FAILED_TO_INITIALE_DATATYPE_FACTORY.format(new Object[0]), e);
/*     */     }
/*     */   }
/*     */   
/*     */   static
/*     */   {
/* 186 */     RuntimeBuiltinLeafInfoImpl[] secondary = { new StringImpl(Character.class, new QName[] { createXS("unsignedShort") })
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 210 */       new StringImpl
/*     */       {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         public Character parse(CharSequence text)
/*     */         {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 207 */           return Character.valueOf((char)DatatypeConverterImpl._parseInt(text));
/*     */         }
/*     */         
/* 210 */         public String print(Character v) { return Integer.toString(v.charValue()); } }, new StringImpl(Calendar.class, new QName[] { DatatypeConstants.DATETIME })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 218 */       new StringImpl
/*     */       {
/*     */ 
/*     */         public Calendar parse(CharSequence text)
/*     */         {
/* 215 */           return DatatypeConverterImpl._parseDateTime(text.toString());
/*     */         }
/*     */         
/* 218 */         public String print(Calendar v) { return DatatypeConverterImpl._printDateTime(v); } }, new StringImpl(GregorianCalendar.class, new QName[] { DatatypeConstants.DATETIME })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 226 */       new StringImpl
/*     */       {
/*     */ 
/*     */         public GregorianCalendar parse(CharSequence text)
/*     */         {
/* 223 */           return DatatypeConverterImpl._parseDateTime(text.toString());
/*     */         }
/*     */         
/* 226 */         public String print(GregorianCalendar v) { return DatatypeConverterImpl._printDateTime(v); } }, new StringImpl(Date.class, new QName[] { DatatypeConstants.DATETIME })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 236 */       new StringImpl
/*     */       {
/*     */ 
/*     */ 
/*     */         public Date parse(CharSequence text) {
/* 231 */           return DatatypeConverterImpl._parseDateTime(text.toString()).getTime(); }
/*     */         
/*     */         public String print(Date v) {
/* 234 */           GregorianCalendar cal = new GregorianCalendar(0, 0, 0);
/* 235 */           cal.setTime(v);
/* 236 */           return DatatypeConverterImpl._printDateTime(cal); } }, new StringImpl(File.class, new QName[] { createXS("string") })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 244 */       new StringImpl
/*     */       {
/*     */ 
/*     */         public File parse(CharSequence text)
/*     */         {
/* 241 */           return new File(WhiteSpaceProcessor.trim(text).toString());
/*     */         }
/*     */         
/* 244 */         public String print(File v) { return v.getPath(); } }, new StringImpl(URL.class, new QName[] { createXS("anyURI") })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 258 */       new StringImpl
/*     */       {
/*     */         public URL parse(CharSequence text)
/*     */           throws SAXException
/*     */         {
/* 249 */           TODO.checkSpec("JSR222 Issue #42");
/*     */           try {
/* 251 */             return new URL(WhiteSpaceProcessor.trim(text).toString());
/*     */           } catch (MalformedURLException e) {
/* 253 */             UnmarshallingContext.getInstance().handleError(e); }
/* 254 */           return null;
/*     */         }
/*     */         
/*     */ 
/* 258 */         public String print(URL v) { return v.toExternalForm(); } }, new StringImpl(Class.class, new QName[] { createXS("string") })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 277 */       new PcdataImpl
/*     */       {
/*     */         public Class parse(CharSequence text)
/*     */           throws SAXException
/*     */         {
/* 263 */           TODO.checkSpec("JSR222 Issue #42");
/*     */           try {
/* 265 */             String name = WhiteSpaceProcessor.trim(text).toString();
/* 266 */             ClassLoader cl = Thread.currentThread().getContextClassLoader();
/* 267 */             if (cl != null) {
/* 268 */               return cl.loadClass(name);
/*     */             }
/* 270 */             return Class.forName(name);
/*     */           } catch (ClassNotFoundException e) {
/* 272 */             UnmarshallingContext.getInstance().handleError(e); }
/* 273 */           return null;
/*     */         }
/*     */         
/*     */ 
/* 277 */         public String print(Class v) { return v.getName(); } }, new PcdataImpl(Image.class, new QName[] { createXS("base64Binary") })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 364 */       new PcdataImpl
/*     */       {
/*     */         public Image parse(CharSequence text)
/*     */           throws SAXException
/*     */         {
/*     */           try
/*     */           {
/*     */             InputStream is;
/*     */             
/*     */ 
/*     */             InputStream is;
/*     */             
/* 289 */             if ((text instanceof Base64Data)) {
/* 290 */               is = ((Base64Data)text).getInputStream();
/*     */             } else {
/* 292 */               is = new ByteArrayInputStream(RuntimeBuiltinLeafInfoImpl.decodeBase64(text));
/*     */             }
/*     */             
/*     */ 
/*     */ 
/*     */ 
/* 298 */             return ImageIO.read(is);
/*     */           } catch (IOException e) {
/* 300 */             UnmarshallingContext.getInstance().handleError(e); }
/* 301 */           return null;
/*     */         }
/*     */         
/*     */         private BufferedImage convertToBufferedImage(Image image) throws IOException
/*     */         {
/* 306 */           if ((image instanceof BufferedImage)) {
/* 307 */             return (BufferedImage)image;
/*     */           }
/*     */           
/* 310 */           MediaTracker tracker = new MediaTracker(new Component() {});
/* 311 */           tracker.addImage(image, 0);
/*     */           try {
/* 313 */             tracker.waitForAll();
/*     */           } catch (InterruptedException e) {
/* 315 */             throw new IOException(e.getMessage());
/*     */           }
/* 317 */           BufferedImage bufImage = new BufferedImage(image.getWidth(null), image.getHeight(null), 2);
/*     */           
/*     */ 
/*     */ 
/*     */ 
/* 322 */           Graphics g = bufImage.createGraphics();
/* 323 */           g.drawImage(image, 0, 0, null);
/* 324 */           return bufImage;
/*     */         }
/*     */         
/*     */         public Base64Data print(Image v)
/*     */         {
/* 329 */           ByteArrayOutputStreamEx imageData = new ByteArrayOutputStreamEx();
/* 330 */           XMLSerializer xs = XMLSerializer.getInstance();
/*     */           
/* 332 */           String mimeType = xs.getXMIMEContentType();
/* 333 */           if ((mimeType == null) || (mimeType.startsWith("image/*")))
/*     */           {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 339 */             mimeType = "image/png";
/*     */           }
/*     */           try {
/* 342 */             Iterator<ImageWriter> itr = ImageIO.getImageWritersByMIMEType(mimeType);
/* 343 */             if (itr.hasNext()) {
/* 344 */               ImageWriter w = (ImageWriter)itr.next();
/* 345 */               w.setOutput(ImageIO.createImageOutputStream(imageData));
/* 346 */               w.write(convertToBufferedImage(v));
/* 347 */               w.dispose();
/*     */             }
/*     */             else {
/* 350 */               xs.handleEvent(new ValidationEventImpl(1, Messages.NO_IMAGE_WRITER.format(new Object[] { mimeType }), xs.getCurrentLocation(null)));
/*     */               
/*     */ 
/*     */ 
/*     */ 
/* 355 */               throw new RuntimeException("no encoder for MIME type " + mimeType);
/*     */             }
/*     */           } catch (IOException e) {
/* 358 */             xs.handleError(e);
/*     */             
/* 360 */             throw new RuntimeException(e);
/*     */           }
/* 362 */           Base64Data bd = xs.getCachedBase64DataInstance();
/* 363 */           imageData.set(bd, mimeType);
/* 364 */           return bd; } }, new PcdataImpl(DataHandler.class, new QName[] { createXS("base64Binary") })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 379 */       new PcdataImpl
/*     */       {
/*     */ 
/*     */         public DataHandler parse(CharSequence text)
/*     */         {
/* 369 */           if ((text instanceof Base64Data)) {
/* 370 */             return ((Base64Data)text).getDataHandler();
/*     */           }
/* 372 */           return new DataHandler(new ByteArrayDataSource(RuntimeBuiltinLeafInfoImpl.decodeBase64(text), UnmarshallingContext.getInstance().getXMIMEContentType()));
/*     */         }
/*     */         
/*     */         public Base64Data print(DataHandler v)
/*     */         {
/* 377 */           Base64Data bd = XMLSerializer.getInstance().getCachedBase64DataInstance();
/* 378 */           bd.set(v);
/* 379 */           return bd; } }, new PcdataImpl(Source.class, new QName[] { createXS("base64Binary") })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 446 */       new StringImpl
/*     */       {
/*     */         public Source parse(CharSequence text) throws SAXException
/*     */         {
/*     */           try
/*     */           {
/* 385 */             if ((text instanceof Base64Data)) {
/* 386 */               return new DataSourceSource(((Base64Data)text).getDataHandler());
/*     */             }
/* 388 */             return new DataSourceSource(new ByteArrayDataSource(RuntimeBuiltinLeafInfoImpl.decodeBase64(text), UnmarshallingContext.getInstance().getXMIMEContentType()));
/*     */           }
/*     */           catch (MimeTypeParseException e) {
/* 391 */             UnmarshallingContext.getInstance().handleError(e); }
/* 392 */           return null;
/*     */         }
/*     */         
/*     */         public Base64Data print(Source v)
/*     */         {
/* 397 */           XMLSerializer xs = XMLSerializer.getInstance();
/* 398 */           Base64Data bd = xs.getCachedBase64DataInstance();
/*     */           
/* 400 */           String contentType = xs.getXMIMEContentType();
/* 401 */           MimeType mt = null;
/* 402 */           if (contentType != null) {
/*     */             try {
/* 404 */               mt = new MimeType(contentType);
/*     */             } catch (MimeTypeParseException e) {
/* 406 */               xs.handleError(e);
/*     */             }
/*     */           }
/*     */           
/* 410 */           if ((v instanceof DataSourceSource))
/*     */           {
/*     */ 
/* 413 */             DataSource ds = ((DataSourceSource)v).getDataSource();
/*     */             
/* 415 */             String dsct = ds.getContentType();
/* 416 */             if ((dsct != null) && ((contentType == null) || (contentType.equals(dsct)))) {
/* 417 */               bd.set(new DataHandler(ds));
/* 418 */               return bd;
/*     */             }
/*     */           }
/*     */           
/*     */ 
/*     */ 
/*     */ 
/* 425 */           String charset = null;
/* 426 */           if (mt != null)
/* 427 */             charset = mt.getParameter("charset");
/* 428 */           if (charset == null) {
/* 429 */             charset = "UTF-8";
/*     */           }
/*     */           try {
/* 432 */             ByteArrayOutputStreamEx baos = new ByteArrayOutputStreamEx();
/* 433 */             xs.getIdentityTransformer().transform(v, new StreamResult(new OutputStreamWriter(baos, charset)));
/*     */             
/* 435 */             baos.set(bd, "application/xml; charset=" + charset);
/* 436 */             return bd;
/*     */           }
/*     */           catch (TransformerException e) {
/* 439 */             xs.handleError(e);
/*     */           } catch (UnsupportedEncodingException e) {
/* 441 */             xs.handleError(e);
/*     */           }
/*     */           
/*     */ 
/* 445 */           bd.set(new byte[0], "application/xml");
/* 446 */           return bd; } }, new StringImpl(XMLGregorianCalendar.class, new QName[] { createXS("anySimpleType"), DatatypeConstants.DATE, DatatypeConstants.DATETIME, DatatypeConstants.TIME, DatatypeConstants.GMONTH, DatatypeConstants.GDAY, DatatypeConstants.GYEAR, DatatypeConstants.GYEARMONTH, DatatypeConstants.GMONTHDAY })
/*     */       {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         public String print(XMLGregorianCalendar cal)
/*     */         {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 461 */           XMLSerializer xs = XMLSerializer.getInstance();
/*     */           
/* 463 */           QName type = xs.getSchemaType();
/* 464 */           if (type != null) {
/* 465 */             String format = (String)RuntimeBuiltinLeafInfoImpl.xmlGregorianCalendarFormatString.get(type);
/* 466 */             if (format != null) {
/* 467 */               return format(format, cal);
/*     */             }
/*     */           }
/*     */           
/*     */ 
/*     */ 
/*     */ 
/* 474 */           return cal.toXMLFormat();
/*     */         }
/*     */         
/*     */         public XMLGregorianCalendar parse(CharSequence lexical) throws SAXException {
/*     */           try {
/* 479 */             return RuntimeBuiltinLeafInfoImpl.datatypeFactory.newXMLGregorianCalendar(lexical.toString());
/*     */           } catch (Exception e) {
/* 481 */             UnmarshallingContext.getInstance().handleError(e); }
/* 482 */           return null;
/*     */         }
/*     */         
/*     */ 
/*     */         private String format(String format, XMLGregorianCalendar value)
/*     */         {
/* 488 */           StringBuilder buf = new StringBuilder();
/* 489 */           int fidx = 0;int flen = format.length();
/*     */           
/* 491 */           while (fidx < flen) {
/* 492 */             char fch = format.charAt(fidx++);
/* 493 */             if (fch != '%') {
/* 494 */               buf.append(fch);
/*     */             }
/*     */             else
/*     */             {
/* 498 */               switch (format.charAt(fidx++)) {
/*     */               case 'Y': 
/* 500 */                 printNumber(buf, value.getEonAndYear(), 4);
/* 501 */                 break;
/*     */               case 'M': 
/* 503 */                 printNumber(buf, value.getMonth(), 2);
/* 504 */                 break;
/*     */               case 'D': 
/* 506 */                 printNumber(buf, value.getDay(), 2);
/* 507 */                 break;
/*     */               case 'h': 
/* 509 */                 printNumber(buf, value.getHour(), 2);
/* 510 */                 break;
/*     */               case 'm': 
/* 512 */                 printNumber(buf, value.getMinute(), 2);
/* 513 */                 break;
/*     */               case 's': 
/* 515 */                 printNumber(buf, value.getSecond(), 2);
/* 516 */                 if (value.getFractionalSecond() != null) {
/* 517 */                   String frac = value.getFractionalSecond().toString();
/*     */                   
/* 519 */                   buf.append(frac.substring(1, frac.length())); }
/* 520 */                 break;
/*     */               
/*     */               case 'z': 
/* 523 */                 int offset = value.getTimezone();
/* 524 */                 if (offset == 0) {
/* 525 */                   buf.append('Z');
/* 526 */                 } else if (offset != Integer.MIN_VALUE) {
/* 527 */                   if (offset < 0) {
/* 528 */                     buf.append('-');
/* 529 */                     offset *= -1;
/*     */                   } else {
/* 531 */                     buf.append('+');
/*     */                   }
/* 533 */                   printNumber(buf, offset / 60, 2);
/* 534 */                   buf.append(':');
/* 535 */                   printNumber(buf, offset % 60, 2); }
/* 536 */                 break;
/*     */               
/*     */               default: 
/* 539 */                 throw new InternalError();
/*     */               }
/*     */             }
/*     */           }
/* 543 */           return buf.toString();
/*     */         }
/*     */         
/* 546 */         private void printNumber(StringBuilder out, BigInteger number, int nDigits) { String s = number.toString();
/* 547 */           for (int i = s.length(); i < nDigits; i++)
/* 548 */             out.append('0');
/* 549 */           out.append(s);
/*     */         }
/*     */         
/* 552 */         private void printNumber(StringBuilder out, int number, int nDigits) { String s = String.valueOf(number);
/* 553 */           for (int i = s.length(); i < nDigits; i++)
/* 554 */             out.append('0');
/* 555 */           out.append(s);
/*     */         }
/*     */         
/*     */         public QName getTypeName(XMLGregorianCalendar cal) {
/* 559 */           return cal.getXMLSchemaType();
/*     */         }
/*     */         
/*     */ 
/* 563 */       } };
/* 564 */     RuntimeBuiltinLeafInfoImpl[] primary = { STRING, new StringImpl(Boolean.class, new QName[] { createXS("boolean") })
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 577 */       new PcdataImpl
/*     */       {
/*     */ 
/*     */ 
/*     */ 
/*     */         public Boolean parse(CharSequence text)
/*     */         {
/*     */ 
/*     */ 
/* 573 */           return Boolean.valueOf(DatatypeConverterImpl._parseBoolean(text));
/*     */         }
/*     */         
/*     */ 
/* 577 */         public String print(Boolean v) { return v.toString(); } }, new PcdataImpl(byte[].class, new QName[] { createXS("base64Binary"), createXS("hexBinary") })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 593 */       new StringImpl
/*     */       {
/*     */ 
/*     */ 
/*     */         public byte[] parse(CharSequence text)
/*     */         {
/*     */ 
/*     */ 
/* 585 */           return RuntimeBuiltinLeafInfoImpl.decodeBase64(text);
/*     */         }
/*     */         
/*     */         public Base64Data print(byte[] v) {
/* 589 */           XMLSerializer w = XMLSerializer.getInstance();
/* 590 */           Base64Data bd = w.getCachedBase64DataInstance();
/* 591 */           String mimeType = w.getXMIMEContentType();
/* 592 */           bd.set(v, mimeType);
/* 593 */           return bd; } }, new StringImpl(Byte.class, new QName[] { createXS("byte") })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 604 */       new StringImpl
/*     */       {
/*     */ 
/*     */ 
/*     */         public Byte parse(CharSequence text)
/*     */         {
/*     */ 
/* 600 */           return Byte.valueOf(DatatypeConverterImpl._parseByte(text));
/*     */         }
/*     */         
/*     */ 
/* 604 */         public String print(Byte v) { return DatatypeConverterImpl._printByte(v.byteValue()); } }, new StringImpl(Short.class, new QName[] { createXS("short"), createXS("unsignedByte") })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 616 */       new StringImpl
/*     */       {
/*     */ 
/*     */ 
/*     */         public Short parse(CharSequence text)
/*     */         {
/*     */ 
/*     */ 
/* 612 */           return Short.valueOf(DatatypeConverterImpl._parseShort(text));
/*     */         }
/*     */         
/*     */ 
/* 616 */         public String print(Short v) { return DatatypeConverterImpl._printShort(v.shortValue()); } }, new StringImpl(Integer.class, new QName[] { createXS("int"), createXS("unsignedShort") })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 628 */       new StringImpl
/*     */       {
/*     */ 
/*     */ 
/*     */         public Integer parse(CharSequence text)
/*     */         {
/*     */ 
/*     */ 
/* 624 */           return Integer.valueOf(DatatypeConverterImpl._parseInt(text));
/*     */         }
/*     */         
/*     */ 
/* 628 */         public String print(Integer v) { return DatatypeConverterImpl._printInt(v.intValue()); } }, new StringImpl(Long.class, new QName[] { createXS("long"), createXS("unsignedInt") })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 640 */       new StringImpl
/*     */       {
/*     */ 
/*     */ 
/*     */         public Long parse(CharSequence text)
/*     */         {
/*     */ 
/*     */ 
/* 636 */           return Long.valueOf(DatatypeConverterImpl._parseLong(text));
/*     */         }
/*     */         
/*     */ 
/* 640 */         public String print(Long v) { return DatatypeConverterImpl._printLong(v.longValue()); } }, new StringImpl(Float.class, new QName[] { createXS("float") })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 651 */       new StringImpl
/*     */       {
/*     */ 
/*     */ 
/*     */         public Float parse(CharSequence text)
/*     */         {
/*     */ 
/* 647 */           return Float.valueOf(DatatypeConverterImpl._parseFloat(text.toString()));
/*     */         }
/*     */         
/*     */ 
/* 651 */         public String print(Float v) { return DatatypeConverterImpl._printFloat(v.floatValue()); } }, new StringImpl(Double.class, new QName[] { createXS("double") })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 662 */       new StringImpl
/*     */       {
/*     */ 
/*     */ 
/*     */         public Double parse(CharSequence text)
/*     */         {
/*     */ 
/* 658 */           return Double.valueOf(DatatypeConverterImpl._parseDouble(text));
/*     */         }
/*     */         
/*     */ 
/* 662 */         public String print(Double v) { return DatatypeConverterImpl._printDouble(v.doubleValue()); } }, new StringImpl(BigInteger.class, new QName[] { createXS("integer"), createXS("positiveInteger"), createXS("negativeInteger"), createXS("nonPositiveInteger"), createXS("nonNegativeInteger"), createXS("unsignedLong") })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 678 */       new StringImpl
/*     */       {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         public BigInteger parse(CharSequence text)
/*     */         {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 674 */           return DatatypeConverterImpl._parseInteger(text);
/*     */         }
/*     */         
/*     */ 
/* 678 */         public String print(BigInteger v) { return DatatypeConverterImpl._printInteger(v); } }, new StringImpl(BigDecimal.class, new QName[] { createXS("decimal") })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 689 */       new StringImpl
/*     */       {
/*     */ 
/*     */ 
/*     */         public BigDecimal parse(CharSequence text)
/*     */         {
/*     */ 
/* 685 */           return DatatypeConverterImpl._parseDecimal(text.toString());
/*     */         }
/*     */         
/*     */ 
/* 689 */         public String print(BigDecimal v) { return DatatypeConverterImpl._printDecimal(v); } }, new StringImpl(QName.class, new QName[] { createXS("QName") })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 713 */       new StringImpl
/*     */       {
/*     */ 
/*     */         public QName parse(CharSequence text)
/*     */           throws SAXException
/*     */         {
/*     */           try
/*     */           {
/* 697 */             return DatatypeConverterImpl._parseQName(text.toString(), UnmarshallingContext.getInstance());
/*     */           } catch (IllegalArgumentException e) {
/* 699 */             UnmarshallingContext.getInstance().handleError(e); }
/* 700 */           return null;
/*     */         }
/*     */         
/*     */         public String print(QName v)
/*     */         {
/* 705 */           return DatatypeConverterImpl._printQName(v, XMLSerializer.getInstance().getNamespaceContext());
/*     */         }
/*     */         
/*     */         public boolean useNamespace() {
/* 709 */           return true;
/*     */         }
/*     */         
/*     */ 
/* 713 */         public void declareNamespace(QName v, XMLSerializer w) { w.getNamespaceContext().declareNamespace(v.getNamespaceURI(), v.getPrefix(), false); } }, new StringImpl(URI.class, new QName[] { createXS("anyURI") })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 728 */       new StringImpl
/*     */       {
/*     */         public URI parse(CharSequence text)
/*     */           throws SAXException
/*     */         {
/* 718 */           TODO.checkSpec("JSR222 Issue #42");
/*     */           try {
/* 720 */             return new URI(text.toString());
/*     */           } catch (URISyntaxException e) {
/* 722 */             UnmarshallingContext.getInstance().handleError(e); }
/* 723 */           return null;
/*     */         }
/*     */         
/*     */ 
/*     */ 
/* 728 */         public String print(URI v) { return v.toString(); } }, new StringImpl(Duration.class, new QName[] { createXS("duration") })
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 738 */       new StringImpl
/*     */       {
/*     */ 
/*     */         public String print(Duration duration)
/*     */         {
/* 733 */           return duration.toString();
/*     */         }
/*     */         
/*     */         public Duration parse(CharSequence lexical) {
/* 737 */           TODO.checkSpec("JSR222 Issue #42");
/* 738 */           return RuntimeBuiltinLeafInfoImpl.datatypeFactory.newDuration(lexical.toString()); } }, new StringImpl(Void.class, new QName[0])
/*     */       {
/*     */ 
/*     */ 
/*     */         public String print(Void value)
/*     */         {
/*     */ 
/*     */ 
/* 746 */           return "";
/*     */         }
/*     */         
/*     */         public Void parse(CharSequence lexical) {
/* 750 */           return null;
/*     */         }
/*     */         
/*     */ 
/* 754 */       } };
/* 755 */     List<RuntimeBuiltinLeafInfoImpl<?>> l = new ArrayList(secondary.length + primary.length + 1);
/* 756 */     for (RuntimeBuiltinLeafInfoImpl<?> item : secondary) {
/* 757 */       l.add(item);
/*     */     }
/*     */     try
/*     */     {
/* 761 */       l.add(new UUIDImpl());
/*     */     }
/*     */     catch (LinkageError e) {}
/*     */     
/*     */ 
/* 766 */     for (RuntimeBuiltinLeafInfoImpl<?> item : primary) {
/* 767 */       l.add(item);
/*     */     }
/* 769 */     builtinBeanInfos = Collections.unmodifiableList(l);
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 790 */     datatypeFactory = init();
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 803 */     xmlGregorianCalendarFormatString = new HashMap();
/*     */     
/*     */ 
/* 806 */     Map<QName, String> m = xmlGregorianCalendarFormatString;
/*     */     
/* 808 */     m.put(DatatypeConstants.DATETIME, "%Y-%M-%DT%h:%m:%s%z");
/* 809 */     m.put(DatatypeConstants.DATE, "%Y-%M-%D%z");
/* 810 */     m.put(DatatypeConstants.TIME, "%h:%m:%s%z");
/* 811 */     m.put(DatatypeConstants.GMONTH, "--%M--%z");
/* 812 */     m.put(DatatypeConstants.GDAY, "---%D%z");
/* 813 */     m.put(DatatypeConstants.GYEAR, "%Y%z");
/* 814 */     m.put(DatatypeConstants.GYEARMONTH, "%Y-%M%z");
/* 815 */     m.put(DatatypeConstants.GMONTHDAY, "--%M-%D%z");
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   private static class UUIDImpl
/*     */     extends RuntimeBuiltinLeafInfoImpl.StringImpl<UUID>
/*     */   {
/*     */     public UUIDImpl()
/*     */     {
/* 825 */       super(new QName[] { RuntimeBuiltinLeafInfoImpl.createXS("string") });
/*     */     }
/*     */     
/*     */     public UUID parse(CharSequence text) throws SAXException {
/* 829 */       TODO.checkSpec("JSR222 Issue #42");
/*     */       try {
/* 831 */         return UUID.fromString(WhiteSpaceProcessor.trim(text).toString());
/*     */       } catch (IllegalArgumentException e) {
/* 833 */         UnmarshallingContext.getInstance().handleError(e); }
/* 834 */       return null;
/*     */     }
/*     */     
/*     */     public String print(UUID v)
/*     */     {
/* 839 */       return v.toString();
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\target\myautosupport\WEB-INF\lib\jaxb-impl-2.0.3.jar!\com\sun\xml\bind\v2\model\impl\RuntimeBuiltinLeafInfoImpl.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */